using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BongahCS
{
    public partial class frmKarbareJadid : Form
    {
        public frmKarbareJadid()
        {
            InitializeComponent();
        }

        public void dbConnection()
        {
            FirstClass db2 = new FirstClass();
            DataTable dt2 = new DataTable();
            dt2 = db2.dbOut("SELECT     TOP 100 PERCENT UserName  FROM    userInfo WHERE (UserName <> 'admin') ORDER BY UserName");
            dataGridView1.DataSource = dt2;

        }

        public void insSql()
        {
            try
            {
                FirstClass dbIns = new FirstClass();
                dbIns.cmd.Parameters.Add("@UserName", SqlDbType.NVarChar).Value = textBox1.Text.Trim();
                dbIns.cmd.Parameters.Add("@Password", SqlDbType.NVarChar).Value = textBox2.Text.Trim();
                dbIns.exeCommand("sp_userInfo_Insert");
                MessageBox.Show("کاربر جدید اضافه شد");
            }
            catch
            {
                MessageBox.Show("نام کاربری تکراری است");
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text == "" || textBox2.Text == "")
            {
                MessageBox.Show("مقادیر فیلدها نمی توانند خالی باشند");
            }
            else
            {
                insSql();
                dbConnection();
                textBox1.Clear();
                textBox2.Clear();
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (textBox1.Text == "" || textBox2.Text == "")
            {
                MessageBox.Show("مقادیر فیلدها نمی توانند خالی باشند");
            }
            else
            {
                FirstClass dbCheck = new FirstClass();
                DataTable dtChek = new DataTable();

                dtChek = dbCheck.dbOut("SELECT     TOP 100 PERCENT UserName, Password FROM userInfo WHERE     (Password = '" + textBox2.Text.Trim() + "' AND UserName = '" + textBox1.Text.Trim() + "') ORDER BY UserName");
                if(dtChek.Rows.Count <= 0)
                {
                    MessageBox.Show("نام کاربری و کلمه عبور همخوانی ندارند");
                }
                else
                {
                    FirstClass dbDel = new FirstClass();
                    dbDel.cmd.Parameters.Add("@UserName", SqlDbType.NVarChar).Value = textBox1.Text.Trim();
                    dbDel.exeCommand("sp_userInfo_DeleteRow");
                    textBox1.Text = "";
                    textBox2.Text = "";
                    dbConnection();
                    MessageBox.Show("کاربر حذف شد");
                }
            }
        }

        private void frmKarbareJadid_Load(object sender, EventArgs e)
        {
            dbConnection();
        }
    }
}